#
# spec file for package libndp
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           libndp
Version:        1.6
Release:        1.26
Summary:        Library for Neighbor Discovery Protocol
License:        LGPL-2.1+
Group:          Productivity/Networking/Other
Url:            http://www.libndp.org/
Source:         http://www.libndp.org/files/libndp-%{version}.tar.gz
BuildRequires:  pkgconfig

%description
This package contains a library which provides a wrapper for IPv6 Neighbor
Discovery Protocol.  It also provides a tool named ndptool for sending and
receiving NDP messages.

%package -n libndp0
Summary:        Libraries and header files for libndp development
Group:          System/Libraries

%description -n libndp0
This package contains a library which provides a wrapper for IPv6 Neighbor
Discovery Protocol.

%package devel
Summary:        Libraries and header files for libndp development
Group:          Development/Libraries/C and C++
Requires:       libndp0 = %{version}

%description devel
The libndp-devel package contains the header files necessary for developing
programs using libndp.

%prep
%setup -q

%build
%configure \
  --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libndp0 -p /sbin/ldconfig
%postun -n libndp0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8%{?ext_man}

%files -n libndp0
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libndp.so.*

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/ndp.h
%{_libdir}/libndp.so
%{_libdir}/pkgconfig/libndp.pc

%changelog
